<?php

namespace Drupal\monarch_symlink\Entity;

use Symfony\Component\Routing\Route;
use Drupal\Core\Entity\EntityTypeInterface;
use Drupal\Core\Entity\Routing\AdminHtmlRouteProvider;

/**
 * Provides routes for nodes.
 */
class MenuRedirectRouteProvider extends AdminHtmlRouteProvider {

  /**
   * {@inheritdoc}
   */
  public function getRoutes(EntityTypeInterface $entity_type) {
    $route_collection = parent::getRoutes($entity_type);

    // Custom canonical controller.
    $route = $route_collection->get('entity.menu_redirect.canonical');
    $route->addDefaults([
      '_controller' => '\Drupal\monarch_symlink\Controller\MenuRedirectController::view',
      '_title_callback' => '\Drupal\monarch_symlink\Controller\MenuRedirectController::title',
    ]);
    $route_collection->add('entity.menu_redirect.canonical', $route);

    return $route_collection;
  }

}
